<template>
  <div :id="$props.id" class="chart-container"></div>
</template>

<script setup lang="ts">
import { onMounted, PropType } from 'vue';
import initChart from '@/composable/ui/initChart'
import { dataPoints } from '@/typings/typings'

const props = defineProps({
  id: {
    type: String,
    default: '',
    required: true
  },
  chartHeight: {
    type: String,
    default: '600',
    required: false
  },
  data: {
    type: Object as PropType<dataPoints>,
    required: true,
  },
  title: {
    type: String,
    default: 'Total hashrate',
    required: false,
  }
})

onMounted(() => {
  initChart(props.id, props.data, props.title);
})
</script>

<style scoped lang="scss">
.chart-container {
  height: v-bind('props.chartHeight + "px"');
  overflow: hidden;
  border-radius: 8px;
}
</style>